ru.bitel.bgbilling.common.bean

## Class BGBaseConstants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants

- Direct Known Subclasses:
    Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants, Constants

      public class BGBaseConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
    `static int` | `AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
    `static java.lang.String` | `DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
    `static int` | `DEFAULT_SUM_MAX`
    `static int` | `DEFAULT_SUM_MIN`
    `static java.lang.String` | `KEY_AUTOPAYMENT_ENABLE`
    `static java.lang.String` | `KEY_AUTOPAYMENT_ID`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_ENABLE`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_MONTH_DAY`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_MONTH_ENABLE`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_MONTH_SUM`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_WEEK_DAY`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_WEEK_ENABLE`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_WEEK_SUM`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
    `static java.lang.String` | `KEY_BILLING_NAME`
    `static java.lang.String` | `KEY_COMMISSION_PERCENT`
    `static java.lang.String` | `KEY_COMMISSION_TYPE`
    `static java.lang.String` | `KEY_CUSTOMER_ADDRESS`
    `static java.lang.String` | `KEY_CUSTOMER_ADDRESS_ENABLE`
    `static java.lang.String` | `KEY_CUSTOMER_ADDRESS_REQUIRED`
    `static java.lang.String` | `KEY_CUSTOMER_ADDRESS_TITLE`
    `static java.lang.String` | `KEY_CUSTOMER_EMAIL`
    `static java.lang.String` | `KEY_CUSTOMER_EMAIL_ENABLE`
    `static java.lang.String` | `KEY_CUSTOMER_EMAIL_REQUIRED`
    `static java.lang.String` | `KEY_MONTH`
    `static java.lang.String` | `KEY_PAGE`
    `static java.lang.String` | `KEY_PERIOD`
    `static java.lang.String` | `KEY_STATUS`
    `static java.lang.String` | `KEY_STATUS_LIST`
    `static java.lang.String` | `KEY_SUM_MAX`
    `static java.lang.String` | `KEY_SUM_MIN`
    `static java.lang.String` | `KEY_TRANSACTIONS`
    `static java.lang.String` | `KEY_YEAR`
    `static java.lang.String` | `PATTERN_CARD`
    `static java.lang.String` | `PATTERN_CONTRACT_COMMENT`
    `static java.lang.String` | `PATTERN_CONTRACT_TITLE`
    `static java.lang.String` | `PATTERN_TRANSACTION_ID`
    `static java.lang.String` | `REQUEST_ATTR_CONTENT_TYPE`
    `static java.lang.String` | `REQUEST_PARAM_CONTENT_TYPE`
    `static java.lang.String` | `REQUEST_PARAM_CUSTOMER_ADDRESS`
    `static java.lang.String` | `REQUEST_PARAM_CUSTOMER_EMAIL`
    `static java.lang.String` | `REQUEST_PARAM_MONTH`
    `static java.lang.String` | `REQUEST_PARAM_PAYMENT_EMAIL`
    `static java.lang.String` | `REQUEST_PARAM_PAYMENT_PHONE`
    `static java.lang.String` | `REQUEST_PARAM_STATUS`
    `static java.lang.String` | `REQUEST_PARAM_SUM`
    `static java.lang.String` | `REQUEST_PARAM_YEAR`
    `static java.lang.String` | `STRING_AMP`
    `static java.lang.String` | `STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGBaseConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SUM_MIN

          public static final int DEFAULT_SUM_MIN

      See Also:
        Constant Field Values

    - #### DEFAULT_SUM_MAX

          public static final int DEFAULT_SUM_MAX

      See Also:
        Constant Field Values

    - #### DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

          public static final java.lang.String DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

      See Also:
        Constant Field Values

    - #### PATTERN_CONTRACT_TITLE

          public static final java.lang.String PATTERN_CONTRACT_TITLE

      See Also:
        Constant Field Values

    - #### PATTERN_CONTRACT_COMMENT

          public static final java.lang.String PATTERN_CONTRACT_COMMENT

      See Also:
        Constant Field Values

    - #### PATTERN_TRANSACTION_ID

          public static final java.lang.String PATTERN_TRANSACTION_ID

      See Also:
        Constant Field Values

    - #### PATTERN_CARD

          public static final java.lang.String PATTERN_CARD

      See Also:
        Constant Field Values

    - #### AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

          public static final int AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

          public static final int AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PAGE

          public static final java.lang.String KEY_PAGE

      See Also:
        Constant Field Values

    - #### KEY_YEAR

          public static final java.lang.String KEY_YEAR

      See Also:
        Constant Field Values

    - #### KEY_MONTH

          public static final java.lang.String KEY_MONTH

      See Also:
        Constant Field Values

    - #### KEY_STATUS

          public static final java.lang.String KEY_STATUS

      See Also:
        Constant Field Values

    - #### KEY_PERIOD

          public static final java.lang.String KEY_PERIOD

      See Also:
        Constant Field Values

    - #### KEY_SUM_MIN

          public static final java.lang.String KEY_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_SUM_MAX

          public static final java.lang.String KEY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_STATUS_LIST

          public static final java.lang.String KEY_STATUS_LIST

      See Also:
        Constant Field Values

    - #### KEY_TRANSACTIONS

          public static final java.lang.String KEY_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### KEY_COMMISSION_TYPE

          public static final java.lang.String KEY_COMMISSION_TYPE

      See Also:
        Constant Field Values

    - #### KEY_COMMISSION_PERCENT

          public static final java.lang.String KEY_COMMISSION_PERCENT

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_EMAIL

          public static final java.lang.String KEY_CUSTOMER_EMAIL

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_EMAIL_ENABLE

          public static final java.lang.String KEY_CUSTOMER_EMAIL_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_EMAIL_REQUIRED

          public static final java.lang.String KEY_CUSTOMER_EMAIL_REQUIRED

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_ADDRESS

          public static final java.lang.String KEY_CUSTOMER_ADDRESS

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_ADDRESS_ENABLE

          public static final java.lang.String KEY_CUSTOMER_ADDRESS_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_ADDRESS_TITLE

          public static final java.lang.String KEY_CUSTOMER_ADDRESS_TITLE

      See Also:
        Constant Field Values

    - #### KEY_CUSTOMER_ADDRESS_REQUIRED

          public static final java.lang.String KEY_CUSTOMER_ADDRESS_REQUIRED

      See Also:
        Constant Field Values

    - #### KEY_BILLING_NAME

          public static final java.lang.String KEY_BILLING_NAME

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_ENABLE

          public static final java.lang.String KEY_AUTOPAYMENT_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE

          public static final java.lang.String KEY_AUTOPAYMENT_MODE

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_WEEK_ENABLE

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_WEEK_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_WEEK_DAY

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_WEEK_DAY

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_WEEK_SUM

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_WEEK_SUM

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_MONTH_ENABLE

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_MONTH_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_MONTH_DAY

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_MONTH_DAY

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_MONTH_SUM

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_MONTH_SUM

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_ENABLE

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

          public static final java.lang.String KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_AUTOPAYMENT_ID

          public static final java.lang.String KEY_AUTOPAYMENT_ID

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_SUM

          public static final java.lang.String REQUEST_PARAM_SUM

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_YEAR

          public static final java.lang.String REQUEST_PARAM_YEAR

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_MONTH

          public static final java.lang.String REQUEST_PARAM_MONTH

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_STATUS

          public static final java.lang.String REQUEST_PARAM_STATUS

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_CONTENT_TYPE

          public static final java.lang.String REQUEST_PARAM_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_CUSTOMER_ADDRESS

          public static final java.lang.String REQUEST_PARAM_CUSTOMER_ADDRESS

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_CUSTOMER_EMAIL

          public static final java.lang.String REQUEST_PARAM_CUSTOMER_EMAIL

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_PAYMENT_EMAIL

          public static final java.lang.String REQUEST_PARAM_PAYMENT_EMAIL

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_PAYMENT_PHONE

          public static final java.lang.String REQUEST_PARAM_PAYMENT_PHONE

      See Also:
        Constant Field Values

    - #### REQUEST_ATTR_CONTENT_TYPE

          public static final java.lang.String REQUEST_ATTR_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### STRING_EQUALS

          public static final java.lang.String STRING_EQUALS

      See Also:
        Constant Field Values

    - #### STRING_AMP

          public static final java.lang.String STRING_AMP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BGBaseConstants

          public BGBaseConstants()